--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: watch
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: generate
comment: 
constants: []

full_name: God::Behavior
includes: 
- !ruby/object:RI::IncludedModule 
  name: Configurable
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: after_restart
- !ruby/object:RI::MethodSummary 
  name: after_start
- !ruby/object:RI::MethodSummary 
  name: after_stop
- !ruby/object:RI::MethodSummary 
  name: before_restart
- !ruby/object:RI::MethodSummary 
  name: before_start
- !ruby/object:RI::MethodSummary 
  name: before_stop
- !ruby/object:RI::MethodSummary 
  name: friendly_name
- !ruby/object:RI::MethodSummary 
  name: valid?
name: Behavior
superclass: Object
